org.apache.tinkerpop.gremlin.process.traversal.step.map

## Class IndexTest

- java.lang.Object
- - org.apache.tinkerpop.gremlin.AbstractGremlinTest
  - - org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest
    - - org.apache.tinkerpop.gremlin.process.traversal.step.map.IndexTest

- Direct Known Subclasses:
    IndexTest.Traversals

      public abstract class IndexTest
      extends AbstractGremlinProcessTest

  Author:
    Daniel Kuppitz (http://gremlin.guru)

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IndexTest.Traversals`

  - ### Field Summary

    - ### Fields inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `config, g, graph, graphProvider, name, shouldTestIteratorLeak`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `IndexTest()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `g_V_hasLabelXpersonX_name_fold_orderXlocalX_index_withXmapX()`
    `void` | `g_V_hasLabelXsoftwareX_index()`
    `void` | `g_V_hasLabelXsoftwareX_name_fold_orderXlocalX_index_unfold_order_byXtailXlocal_1XX()`
    `void` | `g_V_hasLabelXsoftwareX_order_byXnameX_index_withXmapX()`
    `abstract Traversal<Vertex,Map<Integer,String>>` | `get_g_V_hasLabelXpersonX_name_fold_orderXlocalX_index_withXmapX()`
    `abstract Traversal<Vertex,List<Object>>` | `get_g_V_hasLabelXsoftwareX_index_unfold()`
    `abstract Traversal<Vertex,List<Object>>` | `get_g_V_hasLabelXsoftwareX_name_fold_orderXlocalX_index_unfold_order_byXtailXlocal_1XX()`
    `abstract Traversal<Vertex,Map<Integer,Vertex>>` | `get_g_V_hasLabelXsoftwareX_order_byXnameX_index_withXmapX()`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.process.AbstractGremlinProcessTest

      `checkMap, checkOrderedResults, checkResults, checkResults, checkSideEffects, graphMeetsTestRequirements, hasGraphComputerRequirement, makeMapList, setupTest`

    - ### Methods inherited from class org.apache.tinkerpop.gremlin.AbstractGremlinTest

      `afterLoadGraphWith, assertVertexEdgeCounts, beforeLoadGraphWith, convertToEdge, convertToEdgeId, convertToEdgeId, convertToVertex, convertToVertex, convertToVertexId, convertToVertexId, convertToVertexProperty, convertToVertexPropertyId, convertToVertexPropertyId, getAssertVertexEdgeCounts, printTraversalForm, setup, tearDown, tryCommit, tryCommit, tryRollback, validateException, verifyUniqueStepIds`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### IndexTest

          public IndexTest()

  - ### Method Detail

    - #### get_g_V_hasLabelXsoftwareX_index_unfold

          public abstract Traversal<Vertex,List<Object>> get_g_V_hasLabelXsoftwareX_index_unfold()

    - #### get_g_V_hasLabelXsoftwareX_order_byXnameX_index_withXmapX

          public abstract Traversal<Vertex,Map<Integer,Vertex>> get_g_V_hasLabelXsoftwareX_order_byXnameX_index_withXmapX()

    - #### get_g_V_hasLabelXsoftwareX_name_fold_orderXlocalX_index_unfold_order_byXtailXlocal_1XX

          public abstract Traversal<Vertex,List<Object>> get_g_V_hasLabelXsoftwareX_name_fold_orderXlocalX_index_unfold_order_byXtailXlocal_1XX()

    - #### get_g_V_hasLabelXpersonX_name_fold_orderXlocalX_index_withXmapX

          public abstract Traversal<Vertex,Map<Integer,String>> get_g_V_hasLabelXpersonX_name_fold_orderXlocalX_index_withXmapX()

    - #### g_V_hasLabelXsoftwareX_index

          public void g_V_hasLabelXsoftwareX_index()

    - #### g_V_hasLabelXsoftwareX_order_byXnameX_index_withXmapX

          public void g_V_hasLabelXsoftwareX_order_byXnameX_index_withXmapX()

    - #### g_V_hasLabelXsoftwareX_name_fold_orderXlocalX_index_unfold_order_byXtailXlocal_1XX

          public void g_V_hasLabelXsoftwareX_name_fold_orderXlocalX_index_unfold_order_byXtailXlocal_1XX()

    - #### g_V_hasLabelXpersonX_name_fold_orderXlocalX_index_withXmapX

          public void g_V_hasLabelXpersonX_name_fold_orderXlocalX_index_withXmapX()

Copyright © 2013–2021 Apache Software Foundation. All rights reserved.